extends ../_docs-template

block vars
  - var activeLink = 'vue';
  - var title = 'Block Vue Component | Framework7 Vue Documentation';

block docs-index

block content


  .docs-nav
    include ../_docs-menu-vue
  .docs-content
    .motion-docs-page-title
      h1 Block Vue Component
      script(src="/js/motion/block.js")
      f7-motion-block(motion)

    p Block Vue component represents <a href="../docs/block.html">Block / Content Block</a> element designed (mostly) to add extra formatting and required spacing for text content.
    h2 Block Components
    p There are following components included:
    ul
      li `f7-block` - main block element
      li `f7-block-title` - block title. Can be used before Block or List View
      li `f7-block-header` - extra header element. Can be used both inside and outside of block elements
      li `f7-block-footer` - extra footer element. Can be used both inside and outside of block elements
    h2 Block Properties
    table.params-table
      thead
        tr
          th Prop
          th Type
          th Default
          th Description
      tbody
        tr
          th(colspan="4") &lt;f7-block&gt; properties
        tr
          td inset
          td boolean
          td
          td Makes block inset. `inset-ios` and `inset-md` props available for theme specific layout
        tr
          td xsmall-inset
          td boolean
          td
          td Makes block inset when app width >= 480px. `xsmall-inset-ios` and `xsmall-inset-md` props available for theme specific layout
        tr
          td small-inset
          td boolean
          td
          td Makes block inset when app width >= 568px. `small-inset-ios` and `small-inset-md` props available for theme specific layout
        tr
          td medium-inset
          td boolean
          td
          td Makes block inset when app width >= 768px. `medium-inset-ios` and `medium-inset-md` props available for theme specific layout
        tr
          td large-inset
          td boolean
          td
          td Makes block inset when app width >= 1024px. `large-inset-ios` and `large-inset-md` props available for theme specific layout
        tr
          td xlarge-inset
          td boolean
          td
          td Makes block inset when app width >= 1200px. `xlarge-inset-ios` and `xlarge-inset-md` props available for theme specific layout
        tr
          td strong
          td boolean
          td
          td Adds extra highlighting and padding block content. `strong-ios` and `strong-md` props available for theme specific layout
        tr
          td outline
          td boolean
          td
          td Makes block outline (with border). `outline-ios` and `outline-md` props available for theme specific layout
        tr
          td accordion-list
          td boolean
          td
          td Makes block wrapper for accordion items
        tr
          td tabs
          td boolean
          td
          td Adds additional "tabs" class to make the block tabs wrapper
        tr
          td tab
          td boolean
          td
          td Adds additional "tab" class when block should be used as a Tab
        tr
          td tab-active
          td boolean
          td
          td Adds additional "tab-active" class when block used as a Tab and makes it active tab
        tr
          th(colspan="4") &lt;f7-block-title&gt; properties
        tr
          td medium
          td boolean
          td
          td Makes block title medium size
        tr
          td large
          td boolean
          td
          td Makes block title large size

    h2 Examples
    +examplePreview('vue', 'content-block.vue', 'content-block')
